Package ghidra.trace.database.target.visitors

# Enum Class TreeTraversal.VisitResult

java.lang.Object
java.lang.Enum<TreeTraversal.VisitResult>
ghidra.trace.database.target.visitors.TreeTraversal.VisitResult

All Implemented Interfaces:
  `Serializable`, `Comparable<TreeTraversal.VisitResult>`, `Constable`

Enclosing class:
  `TreeTraversal`

public static enum TreeTraversal.VisitResult extends Enum<TreeTraversal.VisitResult>
A result directing the traversal how to proceed

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCLUDE_DESCEND`
  Exclude the value that was just traversed, but descend
  `EXCLUDE_PRUNE`
  Exclude the value that was just traversed, and prune its subtree
  `INCLUDE_DESCEND`
  Include the value that was just traversed, and descend
  `INCLUDE_PRUNE`
  Include the value that was just traversed, but prune its subtree

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TreeTraversal.VisitResult`
  `result(boolean include, boolean cont)`
  Get the result that indicates the given inclusion and continuation
  `static TreeTraversal.VisitResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TreeTraversal.VisitResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INCLUDE_DESCEND

    public static final TreeTraversal.VisitResult INCLUDE_DESCEND
    Include the value that was just traversed, and descend

  - ### INCLUDE_PRUNE

    public static final TreeTraversal.VisitResult INCLUDE_PRUNE
    Include the value that was just traversed, but prune its subtree

  - ### EXCLUDE_DESCEND

    public static final TreeTraversal.VisitResult EXCLUDE_DESCEND
    Exclude the value that was just traversed, but descend

  - ### EXCLUDE_PRUNE

    public static final TreeTraversal.VisitResult EXCLUDE_PRUNE
    Exclude the value that was just traversed, and prune its subtree

- ## Method Details

  - ### values

    public static TreeTraversal.VisitResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TreeTraversal.VisitResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### result

    public static TreeTraversal.VisitResult result(boolean include, boolean cont)
    Get the result that indicates the given inclusion and continuation
    Parameters:
      `include` - true to include the value just traversed, false to exclude
      `cont` - true to continue traversal, false to terminate
    Returns:
      the result